{
	"name": "form/nc/erp-sync/cxml/save/order-ship_notice-xml-convert.json",
	"line_break": "\n",
	"indent": "\t",
	"main_data_tag": "ord",
	"charset": "UTF-8",
	"decimal_separator": ".",
	"create_empty_tag": true,
	"xml_header": "<?xml version=\"1.0\" encoding=\"UTF-8\"?>",
	"namespace": "",
	"convert": [
		{
			"field": "ord",
			"tag": "cXML",
			"attribute": {
				"payloadID": "",
				"timestamp": ""
			},
			"content": [
				{
					"tag": "Header",
					"content": [
						{
							"tag": "From",
							"content": [
								{
									"tag": "Credential",
									"attribute": {
										"domain": "NetworkID"
									},
									"content": [
										{
											"tag": "Identity",
											"from_static": "AN11236273760-T"
										}
									]
								}
							]
						},
						{
							"tag": "To",
							"content": [
								{
									"tag": "Credential",
									"attribute": {
										"domain": "NetworkID"
									},
									"content": [
										{
											"tag": "Identity",
											"from_static": "AN11167947425-T"
										}
									]
								}
							]
						},
						{
							"tag": "Sender",
							"content": [
								{
									"tag": "Credential",
									"attribute": {
										"domain": "AribaNetworkUserId"
									},
									"content": [
										{
											"tag": "Identity",
											"from_static": "cxml@tekpal.fi"
										}
									]
								},
								{
									"tag": "UserAgent",
									"from_static": "Tekpal NC"
								}
							]
						}
					]
				},
				{
					"tag": "Request",
					"content": [
						{
							"tag": "ShipNoticeRequest",
							"content": [
								{
									"tag": "ShipNoticeHeader",
									"attribute": {
										"shipmentID": { "field": "ord.json_data.shipment_id" },
										"noticeDate": {
											"field": "ord.order_date",
											"data_type": "date",
											"format": "%Y-%m-%dT%H:%M:%S%z2"
										},
										"shipmentDate": {
											"field": "ord.json_data.shipping_date",
											"data_type": "date",
											"format": "%Y-%m-%dT%H:%M:%S%z2"
										},
										"operation": "new"
									}
								},
								{
									"tag": "ShipControl",
									"content": [
										{
											"tag": "CarrierIdentifier",
											"field": "ord.json_data.carrier_code",
											"attribute": {
												"domain": "SCAC"
											}
										},
										{
											"tag": "ShipmentIdentifier",
											"field": "ord.json_data.tracking_number"
										}
									]
								},
								{
									"tag": "ShipNoticePortion",
									"content": [
										{
											"tag": "OrderReference",
											"attribute": {
												"orderID": { "field": "ord.company_reference_number" }
											}
										},
										{
											"tag": "ShipNoticeItem",
											"field": "ordr",
											"attribute": {
												"quantity": { "field": "ordr.delivery_amount" },
												"lineNumber": { "field": "ordr.json_data.customer_row_number" }
											},
											"content": [
												{
													"tag": "ItemID",
													"content": [
														{
															"tag": "SupplierPartID",
															"field": "ordr.product_id"
														}
													]
												},
												{
													"tag": "UnitOfMeasure",
													"field": "ordr.unit",
													"from_static": "EA"
												}
											]
										}
									]
								}
							]
						}
					]
				}
			]
		}
	]
}
